"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var ModalComponent = (function () {
    function ModalComponent() {
        this.cancel = new core_1.EventEmitter();
        this.autoCancel = true;
        this.visible = false;
    }
    ModalComponent.prototype.ngOnInit = function () {
        var _this = this;
        setTimeout(function () {
            _this.visible = true;
        });
    };
    ModalComponent.prototype.doCancel = function () {
        if (this.autoCancel) {
            this.visible = false;
            this.cancel.emit();
        }
    };
    return ModalComponent;
}());
ModalComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'ui-modal',
                templateUrl: 'modal.component.html',
                styleUrls: ['modal.component.scss'],
            },] },
];
/** @nocollapse */
ModalComponent.ctorParameters = function () { return []; };
ModalComponent.propDecorators = {
    'cancel': [{ type: core_1.Output },],
    'autoCancel': [{ type: core_1.Input },],
};
exports.ModalComponent = ModalComponent;
//# sourceMappingURL=modal.component.js.map